petsc-3.4.2 2013-07-02

# DMMeshGetCoordinates

Creates an array holding the coordinates.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGetCoordinates(DM dm, PetscBool columnMajor, PetscInt *numVertices, PetscInt *dim, PetscReal *coords[])

Not Collective

### Input Parameter

| dm | - The DMMesh object
| columnMajor | - Flag for column major order

### Output Parameter

| numVertices | - The number of vertices
| dim | - The embedding dimension
| coords | - The array holding local coordinates

### Keywords

mesh, coordinates

### See Also

DMMeshCreate()

Level:intermediate
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages